<template>
  <div id="page">
  <div v-if="dataLoaded">
    <h2>{{ questionAnswers[currentQuestion].question }}</h2>
  </div>

    <el-button type="primary" @click="updateValues(questionAnswers, globalState.index + 1)">Next Question</el-button>


    <div class="container" style="margin-top: 20px;">
    <AudioQuestion v-if="dataLoaded" :questionAnswers="questionAnswers[currentQuestion]"></AudioQuestion>
  </div>


  <div v-if="message" style="margin-top: 20px">
    <p>
      {{ message }}
<!--      <el-button type="primary" v-if="isCorrect && currentQuestion < questionAnswers.length - 1" @click="updateValues(globalState.index++)">-->
<!--        Next Question-->
<!--      </el-button>-->
      <el-result icon="success" v-if="isCorrect"></el-result>
    </p>
  </div>
  </div>
</template>
<style>

</style>
<script setup>
import {ref, onMounted, onUpdated, onActivated} from 'vue';
import AudioQuestion from '@/components/AudioQuestion.vue';
// import { useStatefulComposable } from '@/composables/stateful-composable';

const questionAnswers = ref([]);
const currentQuestion = ref(0);
const message = ref('');
const isCorrect = ref(false);
const dataLoaded = ref(false);

// const { globalState, updateValues } = useStatefulComposable();

onMounted(async () => {
  try {
    const response = await fetch('http://localhost:8080/api/game/question-answers');
    if (!response.ok) {
      throw new Error('Failed to fetch question answers');
    }

    const data = await response.json();
    questionAnswers.value = data.map(item => ({
      id: item.id,
      question: item.question,
      answer: item.answer,
      audioPath: item.audioPath
    }));
    dataLoaded.value = true;
    for (const item of questionAnswers.value) {
      console.log("ID:", item.id);
      console.log("Question:", item.question);
      console.log("Answer:", item.answer);
      console.log("AudioPath:", item.audioPath);
    }
    console.log(questionAnswers)
    // updateValues(questionAnswers, 1)
  } catch (error) {
    console.error('Error fetching question answers:', error);
  }
});
</script>